Update an entity link with data provided in the request body. JSON format is expected.
PUT
/data/entity-links/{instance_id}
curl
curl -X PUT "http://api.example.com/data/entity-links/a24a6ea4-ce75-4665-a070-57453082c25" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"nb_occurences": 2,
"label": "updated"
}'
import requests
url = "http://api.example.com/data/entity-links/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"nb_occurences": 2,
"label": "updated"
}
response = requests.put(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request PUT 'http://api.example.com/data/entity-links/a24a6ea4-ce75-4665-a070-57453082c25' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{"nb_occurences":2,"label":"updated"}'
Request examples
{
"nb_occurences": 2,
"label": "updated"
}
Response examples (200)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"entity_in_id": "b24a6ea4-ce75-4665-a070-57453082c25",
"entity_out_id": "c24a6ea4-ce75-4665-a070-57453082c25",
"nb_occurences": 2,
"label": "updated",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}